## rfk 1.20-1

=== Makefile ===
# yes, handwritten makefile

all: rfk

rfk: rfk.c
	gcc -Wall -g rfk.c -o rfk `pkg-config --cflags --libs gtk+-2.0` `pkg-config hildon-1 --cflags --libs`

clean:
	rm -f rfk

install: rfk rfk.png rfk-robot.png rfk-love.png rfk-kitten.png rfk.desktop
	install -d ${DESTDIR}/usr/bin
	install rfk ${DESTDIR}/usr/bin
	install -d ${DESTDIR}/usr/share/applications/hildon
	install rfk.desktop ${DESTDIR}/usr/share/applications/hildon
	install -d ${DESTDIR}/usr/share/pixmaps
	install rfk.png ${DESTDIR}/usr/share/pixmaps
	install -d ${DESTDIR}/usr/share/rfk
	install rfk-robot.png ${DESTDIR}/usr/share/rfk
	install rfk-love.png ${DESTDIR}/usr/share/rfk
	install rfk-kitten.png ${DESTDIR}/usr/share/rfk

=== debian/changelog ===
rfk (1.20-1) unstable; urgency=low

  * Fix icon
  * Fix one broken non-kitten item
  * All files are installed to the same directory

 -- Thomas Thurman <tthurman@gnome.org>  Tue, 27 May 2009 21:33:32 -0400

rfk (1.10-1) unstable; urgency=low

  * Add keypresses
  * Add closing animation

 -- Thomas Thurman <tthurman@gnome.org>  Sun, 24 May 2009 21:33:32 -0400

rfk (0.02-1) unstable; urgency=low

  * Initial release

 -- Thomas Thurman <tthurman@gnome.org>  Thu, 19 Mar 2009 21:33:32 -0400

=== debian/control ===
Source: rfk
Section: unknown
Priority: extra
Maintainer: Thomas Thurman <tthurman@gnome.org>
Build-Depends: debhelper (>= 5), libhildon1-dev
Standards-Version: 3.7.2

Package: rfk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: robot finds kitten for maemo
  robotfindskitten is a "Zen simulation," originally written
  by Leonard Richardson for DOS.  The user must find a kitten
  in a field of random entities.

## rfk 1.30-1

=== debian/changelog ===
rfk (1.30-1) unstable; urgency=low

  * Robot can move diagonally
  * Robot can run until an obstacle is found
  * Items moved into a separate file
  * Items converted to UTF-8
  * Front page added
  * App menu added
	
 -- Thomas Thurman <tthurman@gnome.org>  Tue, 23 Aug 2009 14:03:09 +0200
	

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: unknown
 Priority: extra
 Maintainer: Thomas Thurman <tthurman@gnome.org>
-Build-Depends: debhelper (>= 5), libhildon1-dev
+Build-Depends: debhelper (>= 5), libhildon1-dev, libdbus-glib-1-dev, libdbus-1-dev
 Standards-Version: 3.7.2
 
 Package: rfk

## rfk 1.31-1

=== debian/changelog ===
rfk (1.31-1) unstable; urgency=low

  * Corrected section in debian/control
  * A couple of non-kitten items use the TM symbol for trademarks

 -- Thomas Thurman <tthurman@gnome.org>  Thu, 27 Aug 2009 16:06:58 +0200
	

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: rfk
-Section: unknown
+Section: user/games
 Priority: extra
 Maintainer: Thomas Thurman <tthurman@gnome.org>
 Build-Depends: debhelper (>= 5), libhildon1-dev, libdbus-glib-1-dev, libdbus-1-dev

## rfk 1.32-1

=== Makefile ===
# yes, handwritten makefile

all: rfk

rfk: rfk.c
	gcc -Wall -g rfk.c -o rfk `pkg-config --cflags --libs gtk+-2.0 hildon-1 dbus-glib-1 dbus-1`

clean:
	rm -f rfk

install: rfk rfk.png rfk-robot.png rfk-love.png rfk-kitten.png rfk.desktop non-kitten-items.rfk help.html
	install -d ${DESTDIR}/usr/bin
	install rfk ${DESTDIR}/usr/bin
	install -d ${DESTDIR}/usr/share/applications/hildon
	install rfk.desktop ${DESTDIR}/usr/share/applications/hildon
	install -d ${DESTDIR}/usr/share/dbus-1/services
	install org.robotfindskitten.service ${DESTDIR}/usr/share/dbus-1/services
	install -d ${DESTDIR}/usr/share/pixmaps
	install rfk.png ${DESTDIR}/usr/share/pixmaps
	install -d ${DESTDIR}/usr/share/rfk
	install rfk-robot.png ${DESTDIR}/usr/share/rfk
	install rfk-love.png ${DESTDIR}/usr/share/rfk
	install rfk-kitten.png ${DESTDIR}/usr/share/rfk
	install non-kitten-items.rfk ${DESTDIR}/usr/share/rfk
	install help.html ${DESTDIR}/usr/share/rfk

=== debian/changelog ===
rfk (1.32-1) unstable; urgency=low

  * Added icon to debian/control
  * Renamed description to be more descriptive

 -- Thomas Thurman <tthurman@gnome.org>  Sun, 30 Aug 2009 12:57:11 -0400
	

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,53 @@
 Package: rfk
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: robot finds kitten for maemo
+Description: The story of a robot who must find a kitten
   robotfindskitten is a "Zen simulation," originally written
   by Leonard Richardson for DOS.  The user must find a kitten
   in a field of random entities.
+Maemo-Icon-26:
+  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABGdBTUEAALGP
+  C/xhBQAAAAFzUkdCAK7OHOkAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUw
+  AADqYAAAOpgAABdwnLpRPAAAAAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAAL
+  EwAACxMBAJqcGAAAAAl2cEFnAAAAGgAAABoAB7JmLwAABrdJREFUSMellm1s
+  W2cVx3/PvddOrp04jptXp4vbNSp5EWSFVCt9pbRaWCGgCSGYVI1JaB/GqtEh
+  QKMCFGUvIPH2gUlIFLQx1gyWiTJFjLRrshBK1bI1NKMteanTpE3sNLaT2I7t
+  61zf+/AhdpR2rNLg//He89z/+Z/zP+c+8H/gx0AnbOiG0/1gnYWvA45QT0/9
+  P19/fXh+ZET+8ciRXz8AxQJgaGiIvXv3Eg6Hd8zMzCzW1dV9qra29iQwL4QA
+  QEoJoAGHgfeA+pswNCTEkx3wfQ8o8xAfhKf2b9q0b0Nj41cVr5e5hob0K+Pj
+  39UAwuEwgUBAmZub+4zP53vD6XTul1ImhBCv3iFiC/AI8A3goQvHjy98DL7g
+  AQWgEsoehJ/qU1NuZWoKgA2bN7s+0da2UwGwLAuHw0Eul1N0XV82DOMN0zQ/
+  BxTllRTwWeAKMAEwdunSxiTcW3gpgFIo18BZeGZdv87Nnp7VTNYChUAIoSYS
+  iTO5XK4SaF1XtnLg08BJIAcoW++7b0bCpH2XPlrALZhTABRFKZCgKIpoamqK
+  WJb1d9u2nwa6gGeA54EV4AKgAsrnH3ssPA99ibsTTWyB4wqAruuMj4/bfr//
+  Snl5+YplWSiK8rIQIgE4AJlIJOrC4fCbwWAwlclk5PXr1yNTt24ZITg5CbH/
+  pmoFmII/fxGuaABzc3MAOJ3OCdu2U1JK3G73FPA4YPT390uHw+FOJpPS4/EQ
+  CARsn893WQqRPQIjz8LpMnh4yx1ElyD8K/jDN8m7Rdd1VFVVgsFgRywWK9M0
+  7eOmaXYlEomWTCYjk8kk4XDY09raenTPnj1f0jTNUVZWtt/r8ZS99cIL2bfh
+  e31wNgQ2gARuwvSf4Nu/gQu/LRBpmkZDQwOKoqimaeqWZR0Ftmma9ngwGFS2
+  b9/Ojh07HgK+kk6nvzM2NrYr32cOPvEEZ2DyPDw8AD3/BkZhahi+9kM44QIZ
+  yw8gALZtI4SwQqFQfVFRUXNNTc2L8Xi8bXJyUnR0dADopmn2Wpa1z+/3N5LP
+  vmDrbTBzFb7VDv+QcPZH8E4zcDUfoxVIXC4XlmU5a2pqplwu11/T6XSn2+3+
+  +aFDh6z8dnhPVdWfASuapg0A24GNwJellHq+YtKWUiaXlz1dui6dDsdav7RC
+  j0ZGRuzZ2dkrVVVVqWvXrj0XjUZH3G53r6qqtLa2AvSPj48/Ytu21dLSMpnN
+  ZpeklLni4tU1VhCnCKG5dV2oqnqbMdaC8kNZnB/GnBCCeDxOJpO5x+v1bkil
+  Upd8Pt/auYWFhfJoNJqwbTvX1NQEwMDAAMvLy0XNzc0d9fX1g1LKaFFREXdF
+  X18fvb291bFY7DXLst6VUm68Yx29D6dOnWL37t1KKBT6iWEYjy4vLxcErJZO
+  SkkikWgvLS3dZdv2Sjqd7i8tLb05OjrqcTgczcC9yWSysaioyI5Go25VVR/w
+  er3VuVzuZiqVesnhcJhut5v29naWlpZsVVV/Z5rmkUgk8lo0Gk2vEQEYhtFe
+  UlLylGVZacuyWoE6r9f7aigU+kV1dbVvcXHRGwgEXrFtW9q2vRHYalnWO9ls
+  thswC98pKysDuBKJRDJAm9/vH1rrkZQS27bbFUXZlUgkcsFgsHfbtm3zwCKQ
+  XmecqvPnz7v8fv+D9fX1FXmn3baYTdNURkdHBwKBgCuTyeysrq4+dpsZPixs
+  2yaXy90zPT39cjab3bxurqSu68cCgUBfJpN5VlGUZ4QQ8x+aaJ0hNhuGsau7
+  u/vMjRs3hBBCrksi1tXVZS4uLm5VFGUn8KYWj8c3LCwslFRUVCxms9mEy+VC
+  CKHPzc1Vejwew+fzzcPqvwrg3LlzOJ3OTY2NjS9ms9m/VFVVxdra2sz8rK1h
+  cHCQixcvzjc1NX3U6XTeTygUemtgYODtiYmJTw4PD3PixAlSqdTTY2NjQyMj
+  I4/eoYJUKkUmk9mXTCZPXb582Xv16tUPVL+ysoJhGOWGYZzWXC5XcSwWO9zd
+  3T1TV1dHZ2enurKy0lRSUvKDAwcOnD127NiaGljdIkIIYdt2sKWlZeno0aMf
+  SORYXUFZwzAUEYlEfi+lDJaUlPTPzs4GdV0XPp/vcDabrdQ07V+xWKw/l8ut
+  HbYsy2poaPhILpfrjMfjT6bT6ahpmsr6ZArweDzZWCxWp+v6L7WJiYnnKysr
+  2x0OR7miKAellNKyrJNLS0v3A7Ws3hPWoKqqMAzjXeBvuq4/ZxhG4Q7xPtMo
+  iiIrKioORqPRnv/J3tPT01iWVVpbW1taXFwcBuSdivJ9dcRisZrh4eHIfwAI
+  CCt2HIvDmgAAACV0RVh0Y3JlYXRlLWRhdGUAMjAwOS0wOC0zMFQxMjo1Mzoy
+  Mi0wNDowMJ3Ti30AAAAldEVYdG1vZGlmeS1kYXRlADIwMDktMDgtMzBUMTI6
+  NTM6MjItMDQ6MDDCYv1JAAAAAElFTkSuQmCC

## rfk 1.40-1

=== debian/changelog ===
rfk (1.40-1) unstable; urgency=low

  * Screen tapping works more sensibly
  * Chequers added to screen to show where to tap
  * Demo mode
  * Portrait mode support
  * Help is in-process, not via spawning the browser
  * Made board slightly larger
  * Added kitten to front screen

 -- Thomas Thurman <tthurman@gnome.org>  Wed, 17 Feb 2010 21:48:00 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/games
 Priority: extra
 Maintainer: Thomas Thurman <tthurman@gnome.org>
-Build-Depends: debhelper (>= 5), libhildon1-dev, libdbus-glib-1-dev, libdbus-1-dev
+Build-Depends: debhelper (>= 5), libhildon1-dev, libdbus-glib-1-dev, libdbus-1-dev, libgtkhtml2-dev, mce-dev
 Standards-Version: 3.7.2
 
 Package: rfk

## rfk 1.41-1

=== Makefile ===
# yes, handwritten makefile

all: rfk

rfk: rfk.c
	gcc -Wall -g rfk.c -o rfk `pkg-config --cflags --libs gtk+-2.0 hildon-1 dbus-glib-1 dbus-1 libgtkhtml-2.0`

clean:
	rm -f rfk

install: rfk rfk.png rfk-robot.png rfk-love.png rfk-kitten.png rfk.desktop non-kitten-items.rfk help.html
	install -d ${DESTDIR}/usr/bin
	install rfk ${DESTDIR}/usr/bin
	install -d ${DESTDIR}/usr/share/applications/hildon
	install rfk.desktop ${DESTDIR}/usr/share/applications/hildon
	install -d ${DESTDIR}/usr/share/dbus-1/services
	install org.robotfindskitten.service ${DESTDIR}/usr/share/dbus-1/services
	install -d ${DESTDIR}/usr/share/pixmaps
	install rfk.png ${DESTDIR}/usr/share/pixmaps
	install -d ${DESTDIR}/opt/rfk
	install rfk-robot.png ${DESTDIR}/opt/rfk
	install rfk-love.png ${DESTDIR}/opt/rfk
	install rfk-kitten.png ${DESTDIR}/opt/rfk
	install non-kitten-items.rfk ${DESTDIR}/opt/rfk
	install help.html ${DESTDIR}/opt/rfk
	install help-board.png ${DESTDIR}/opt/rfk

=== debian/changelog ===
rfk (1.41-1) unstable; urgency=low

  * Added link to bugtracker
  * Added display name
  * Fixed debian/control icon

 -- Thomas Thurman <tthurman@gnome.org>  Wed, 17 Feb 2010 22:23:00 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,9 @@
   robotfindskitten is a "Zen simulation," originally written
   by Leonard Richardson for DOS.  The user must find a kitten
   in a field of random entities.
-Maemo-Icon-26:
+XSBC-Maemo-Display-Name: robotfindskitten
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=975
+XB-Maemo-Icon-26:
   iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABGdBTUEAALGP
   C/xhBQAAAAFzUkdCAK7OHOkAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUw
   AADqYAAAOpgAABdwnLpRPAAAAAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAAL

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/rfk.sgml > rfk.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/rfk.
	$(MAKE) DESTDIR=$(CURDIR)/debian/rfk install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
